div.icon-container {
  transform-origin: top;
  transform: scale(0.5);
}
div.temperature {
  transform: scale(2);
  padding-top: 50px;
}
div.weather-text {
  transform: scale(2);
  padding-top: 100px;
}
html,
body {
  height: 100%;
  margin: 0;
  padding: 0;
  background-color: #f1f1f1;
}

/* icon styles */
/*@import url(https://fonts.googleapis.com/css?family=Roboto);*/

*,
*:before,
*:after {
  box-sizing: border-box;
}

html {
  font-family: sans-serif;
  font-size: 14px;
  text-align: center;
}

h1 {
  margin-top: 30px;
  color: #e4e3e3;
  font-weight: 100;
}

#wrapperContainer h4 {
  font-weight: 400;
  color: grey;
  margin-bottom: 0.05em;
}

.icon-container {
  width: 150px;
  height: 150px;
  /* background: #46b7e0; */
  float: left;
  /* margin: 10px; */
  padding: 10px;
  text-align: center;
  color: #000;
  /* text-shadow: 1px 1px 0 rgba(0, 0, 0, 0.3); */
  /* box-shadow: 1px 1px 1px rgba(0, 0, 0, 0.2); */
  position: relative;
}

.icon-container .temperature {
  position: absolute;
  left: 0;
  bottom: 20px;
  width: 100%;
  color: grey;
}

.icon-container .weather-text {
  position: absolute;
  left: 0;
  bottom: 4px;
  width: 100%;
  color: grey;
}

.icon-container.mostly-sunny .cloud,
.icon-container.isolated-clouds .cloud {
  transform: scale(0.45);
  position: absolute;
  top: 65px;
  left: 25px;
  background-color: white;
}

.icon-container.mostly-sunny .shadows,
.icon-container.isolated-clouds .shadows {
  position: absolute;
  top: 69px;
  left: -48px;
  height: 32px;
}

/* .icon-container.night {
            background: #7b3463;
        } */

.icon-container.night .moon-mask {
  /* background: #7b3463; */
  background: #f1f1f1;
}

/* .icon-container.bad-weather {
            background: #b1b2bf;
        } */

.icon-container.partly-cloudy .cloud {
  transform: scale(0.75);
  position: absolute;
  top: 57px;
  left: 43px;
  background-color: white;
}

.icon-container.partly-cloudy .sun .shadows {
  position: absolute;
  top: 55px;
  left: -14px;
  height: 45px;
}

.icon-container.partly-cloudy .moon .shadows {
  position: absolute;
  top: 70px;
  left: 15px;
  height: 31px;
}

.icon-container.mostly-cloudy .sun {
  transform: scale(0.5);
  position: absolute;
  top: -5px;
  left: 45px;
}

.icon-container.mostly-cloudy .moon {
  transform: scale(0.5) rotate(-5deg);
  position: absolute;
  top: -15px;
  left: 55px;
}

.icon-container.mostly-cloudy .cloud {
  position: absolute;
  top: 50%;
  left: 50%;
  background: white;
  transform: translate(-30%, -50%);
}

.icon-container.cloudy .cloud {
  position: absolute;
  background: white;
  top: 50%;
  left: 50%;
  transform: translate(-30%, -50%);
}

.icon-container.snowy .cloud {
  position: absolute;
  background: white;
  top: 30px;
  left: 50%;
  transform: translate(-30%, 0%) scale(0.9);
}

.icon-container.snowy .snow {
  position: absolute;
  background: white;
}

.icon-container.snowy .snow:first-child {
  top: 80px;
  left: 60px;
  transform: scale(0.7);
}

.icon-container.snowy .snow:nth-child(2) {
  top: 73px;
  left: 90px;
  transform: scale(0.35);
}

.icon-container.rain.mostly-cloudy .sun {
  top: -20px;
}

.icon-container.rain.snowy .snow {
  transform: scale(0.7);
  top: 80px;
  left: 60px;
}

.icon-container.rain.snowy .rain-drop {
  top: 66px;
  left: 70px !important;
}

.icon-container.rain.snowy .rain-snow {
  position: absolute;
  transform: scale(0.25);
  top: 84px;
  left: 70px;
}

.icon-container.rain.sleet-weather .rain-snow {
  transform: scale(0.25);
  position: absolute;
  top: 62px;
  left: 25px;
}

.icon-container.rain.sleet-weather .sleet {
  position: absolute;
}

.icon-container.rain.sleet-weather .sleet:first-child {
  top: 81px;
  left: 64px;
  height: 24px;
  width: 4px;
}

.icon-container.rain.sleet-weather .sleet:last-child {
  top: 81px;
  left: 89px;
  height: 20px;
  width: 4px;
}

.icon-container.rain .cloud {
  position: absolute;
  background: white;
  top: 30px;
  left: 50%;
  transform: translate(-30%, 0%) scale(0.9);
}

.icon-container.rain .rain-drop {
  position: absolute;
  transform: scale(0.25);
}

.icon-container.rain .rain-drop:first-child {
  top: 66px;
  left: 34px;
}

.icon-container.rain .rain-drop:nth-child(2) {
  top: 81px;
  left: 50%;
  transform: translate(-50%, 0) scale(0.25);
}

.icon-container.rain .rain-drop:nth-child(3) {
  top: 66px;
  left: 65px;
}

.icon-container.thunderstorms .lightning {
  position: absolute;
  top: 55px;
  left: 55px;
  transform: scale(0.5);
}

.icon-container.thunderstorms .rain-drop:nth-child(odd) {
  left: 55px;
}

.icon-container.thunderstorms .rain-drop:nth-child(even) {
  left: 72px;
}

.icon-container.thunderstorms .rain-drop:first-child,
.icon-container.thunderstorms .rain-drop:nth-child(2) {
  top: 66px;
  transform: translate(0, 0) scale(0.25);
}

.icon-container.thunderstorms .rain-drop:nth-child(3),
.icon-container.thunderstorms .rain-drop:nth-child(4) {
  top: 86px;
}

.icon-container.thunderstorms .shadows {
  position: absolute;
  top: 48px;
  left: 55px;
  height: 30px;
  width: 25px;
  clip-path: polygon(100% 0, 0 100%, 100% 100%);
  -webkit-clip-path: polygon(100% 0, 0 100%, 100% 100%);
}

.icon-container.fog-mist .mist {
  transform: translate(-45%, -40%);
  top: 50%;
  left: 50%;
  position: absolute;
}

.icon-container.blizzard-weather .blizzard {
  margin: 45px auto 0;
}

.icon-container.blizzard-weather .snow {
  transform: scale(0.5);
  background: white;
}

.icon-container.blizzard-weather .snow:first-child {
  position: absolute;
  top: 32px;
  left: 92px;
}

.icon-container.blizzard-weather .snow:last-child {
  position: absolute;
  top: 67px;
  left: 76px;
}

.sun,
.moon {
  width: 100px;
  height: 100px;
  position: relative;
  margin: 0 auto;
  overflow: hidden;
}

.sun {
  background: #fdda3f;
  border-radius: 50%;
}

.cloud {
  width: 50px;
  height: 50px;
  background: #e9e9e9;
  border-radius: 0% 20% 20% 0%;
  position: relative;
}

.cloud.with-shadow .shadows {
  position: absolute;
  z-index: 10;
  width: 50px;
  left: 0px;
  height: 35px;
  top: -2px;
}

.cloud.with-shadow:before {
  z-index: 15;
  border-right: 2px solid rgba(208, 208, 208, 0.1);
}

.cloud:before,
.cloud:after {
  content: "";
  position: absolute;
  border-radius: 50%;
  background: inherit !important;
}

.cloud:before {
  width: 150%;
  height: 150%;
  background: tomato;
  bottom: 0;
  left: -75%;
}

.cloud:after {
  width: 100%;
  height: 100%;
  background: orange;
  right: -30%;
}

.moon .moon-colour {
  background-color: #cadcfc;
  width: 100%;
  height: 100%;
  position: relative;
  border-radius: 50%;
  overflow: hidden;
}

.moon .moon-mask {
  position: absolute;
  top: -25px;
  left: 45px;
  width: 100%;
  height: 100%;
  border-radius: 50%;
  /* background: #46B7E0; */
}

.rain-drop {
  width: 50px;
  height: 50px;
  background: #01e5ff;
  border-radius: 50%;
  position: relative;
}

.rain-drop:after {
  content: "";
  position: absolute;
  top: -10%;
  left: 50%;
  width: 50%;
  height: 50%;
  border-radius: 2px;
  background: inherit;
  transform: translate(-50%, 0) rotate(45deg);
}

.snow {
  height: 40px;
  width: 6px;
  background: #bebebe;
  position: relative;
}

.snow:before,
.snow:after {
  content: "";
  position: absolute;
  width: inherit;
  height: inherit;
  background: inherit;
  left: 0;
}

.snow:before {
  transform: rotate(60deg);
}

.snow:after {
  transform: rotate(-60deg);
}

.mist {
  width: 100px;
  height: 100px;
  -webkit-clip-path: inset(0 15px 0 10px);
  clip-path: inset(0 15px 0 10px);
}

.mist .mist-line {
  position: relative;
}

.mist .mist-line:after {
  content: "";
  display: table;
  clear: both;
}

.mist .mist-line:nth-child(1) {
  top: 0px;
}

.mist .mist-line:nth-child(2) {
  top: -6px;
}

.mist .mist-line:nth-child(3) {
  top: -12px;
}

.mist .mist-line:nth-child(4) {
  top: -18px;
}

.mist .mist-line:nth-child(5) {
  top: -24px;
}

.mist .mist-line > div {
  width: 26px;
  height: 16px;
  border-radius: 50%;
  float: left;
  border: 6px solid #e3e3e3;
  margin-left: -7px;
}

.mist .mist-line > div:nth-child(even) {
  -webkit-clip-path: inset(0 0 50% 0);
  clip-path: inset(0 0 50% 0);
  margin-top: 4px;
}

.mist .mist-line > div:nth-child(odd) {
  -webkit-clip-path: inset(50% 0 0 0);
  clip-path: inset(50% 0 0 0);
}

.lightning {
  width: 0px;
  height: 50px;
  position: relative;
}

.lightning:before,
.lightning:after {
  content: "";
  position: absolute;
  height: 0;
  width: 0;
  border-right: 22px solid transparent;
  border-bottom: 35px solid transparent;
  border-top: 35px solid #ffae46;
  border-left: 22px solid #ffae46;
}

.lightning:before {
  transform: rotate(180deg);
  top: -40px;
  left: -24px;
}

.blizzard {
  width: 65px;
}

.blizzard .blizzard-line {
  width: 55px;
  height: 7px;
  position: relative;
  background: #e3e3e3;
}

.blizzard .blizzard-line:before {
  content: "";
  position: absolute;
  top: 13px;
  left: calc(100% - 5px);
  width: 4px;
  height: 7px;
  background: #e3e3e3;
}

.blizzard .blizzard-line:after {
  content: "";
  position: absolute;
  top: 0;
  right: -10px;
  width: 20px;
  height: 20px;
  border-radius: 50%;
  border: 7px solid #e3e3e3;
  -webkit-clip-path: inset(0 0 0 45%);
  clip-path: inset(0 0 0 45%);
}

.blizzard .blizzard-line:first-child {
  width: 28px;
  transform: scaleY(-1);
  margin-bottom: 4px;
}

.blizzard .blizzard-line:last-child {
  width: 15px;
  margin-top: 4px;
}

.rain-snow {
  width: 50px;
  height: 50px;
  background: #a2a1a1;
  border-radius: 50%;
}

.sleet {
  width: 4px;
  background: #e3e3e3;
  transform: rotate(45deg);
}

.shadows {
  width: 100px;
  height: 100px;
  background-image: linear-gradient(rgba(66, 66, 66, 0.1) 0%, transparent 100%);
  transform: skewX(45deg);
}